/*-------------------------------------
@          MEANSvVW
@AUTONAME,AUTOLABELgpȂꍇ
-------------------------------------*/

proc means data = demo.bento nway noprint;
  var total point ;
  class shop bento  ;
  output out = summary1(drop=_type_ _freq_) 
         mean = total_heikin point_heikin 
         sum = total_gokei point_gokei ;
run ;

/*o͂vʂɃx쐬*/

proc datasets lib = work ;
  modify summary1 ;
  label total_heikin = "㕽"
  		  point_heikin = "x"
		  total_gokei  = "㍇v"
		  point_gokei  = "xv" ;
quit ; 




/*-------------------------------------
  AUTONAME,AUTOLABELgpꍇ
-------------------------------------*/

proc means data = demo.bento nway noprint ;
  var total point ;
  class shop bento ;
  output out = summary2(drop=_type_ _freq_) 
         mean = sum = / autoname autolabel ;
run ;














/*-------------------------------------
  CLASSDATAIvVgpȂꍇ
-------------------------------------*/

proc means data = gender nway noprint ;
  class sex ;
  output out = summary3(drop = _type_ _freq_) 
         n = / autoname autolabel ;
run ;

/*-------------------------------------
  CLASSDATAIvVgpꍇ
-------------------------------------*/

proc means data = gender nway noprint 
                   classdata = gender_master ;
  class sex ;
  output out = summary4(drop = _type_ _freq_ ) 
         n = / autoname autolabel ;
run ;




/*-------------------------------------
 @@@@@TABULATEvVW
@l̐ƂďWv 
@missingIvVȂ@@@ 
-------------------------------------*/

proc tabulate data=TEST ;
  class AGE SEX ;
  var HEIGHT WEIGHT;
  tables AGE*(HEIGHT*MEAN WEIGHT*MEAN)all="" * n="",
         SEX  ;
run;
/*-------------------------------------
@missingIvV@ 
-------------------------------------*/

proc tabulate data=TEST ;
  class AGE SEX /missing ;
  var HEIGHT WEIGHT;
  tables AGE*(HEIGHT*MEAN WEIGHT*MEAN)all="" * n="",
         SEX  ;
run;




/*-------------------------------------
@misstextIvV@@@@@ 
-------------------------------------*/ 

proc tabulate data=TEST ;
  class AGE SEX / missing;
  var HEIGHT WEIGHT;
  tables AGE*(HEIGHT*MEAN WEIGHT*MEAN)all="" * n="",
         SEX / misstext="" ;
run;













/*-------------------------------------
@@@@@@DATASETSvVW
@WORKCũo폜
  (f[^Zbgtmpcꍇ)
-------------------------------------*/ 
proc datasets lib=work ;
   save TMP;
quit;

/*-------------------------------------
@ѐ̍쐬@@@@@ 
-------------------------------------*/ 
proc datasets lib = work ;
  modify tmp ;
  ic create chk_se = check(where = (sex in("Male","Female"))) ;
quit ;

/*Tvf[^ɁuOTHERv}*/ 
proc sql ;
  insert into tmp (sex)
  values ("Other") ;
quit ;

proc contents data=tmp;
run;